<?php
/**
 * Jika pengguna mengganti wordPress ke versi lebih rendah.
 * Kembalikan tema ke default theme.
 */
function prestasi_switch_theme() {
	switch_theme( WP_DEFAULT_THEME, WP_DEFAULT_THEME );
	unset( $_GET['activated'] );
	add_action( 'admin_notices', 'prestasi_upgrade_notice' );
}
add_action( 'after_switch_theme', 'prestasi_switch_theme' );

function prestasi_upgrade_notice() {
	$message = sprintf( __( 'WP Sekolahku Keren Butuh Setidaknya WordPress Version 5.5. WordPress Yang Anda Pakai Adalah versi %s. Upgrade Lebih Dulu Baru Coba Pasang Tema WP Sekolahku Keren.', 'prestasi' ), $GLOBALS['wp_version'] );
	printf( '<div class="error"><p>%s</p></div>', $message );
}

function prestasi_customize() {
	wp_die( sprintf( __( 'WP Sekolahku Keren Butuh Setidaknya WordPress Version 5.5. WordPress Yang Anda Pakai Adalah Versi %s. Upgrade Lebih Dulu Baru Coba Pasang Tema WP Sekolahku Keren.', 'prestasi' ), $GLOBALS['wp_version'] ), '', array(
		'back_link' => true,
	) );
}
add_action( 'load-customize.php', 'prestasi_customize' );

function prestasi_preview() {
	if ( isset( $_GET['preview'] ) ) {
		wp_die( sprintf( __( 'WP Sekolahku Keren Butuh Setidaknya WordPress Version 5.5. WordPress Yang Anda Pakai Adalah Versi %s. Upgrade Lebih Dulu Baru Coba Pasang Tema WP Sekolahku Keren.', 'prestasi' ), $GLOBALS['wp_version'] ) );
	}
}
add_action( 'template_redirect', 'prestasi_preview' );

?>